Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044386
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-06-17 14:172020-07-09 08:48
ReporterLeyreView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044386: Error in Cash Up when "Automate Movement to Other Account" is not selected

DescriptionError in Cash Up when "Automate Movement to Other Account" is not selected
Steps To ReproduceBackend:
https://livebuilds.openbravo.com/retail_pi_pgsql/ [^]

1. Configure the payment method = Cash of a Touchpoint Type -> Cash Up section(See attached image 1.png):
   Count Payment in Cash Up = Y
   Automate Movement to Other Account = Y
   Allow Not to Move = Y
   Keep Fixed Amount = Y
   Amount to Keep = 20
   Rest of the fields = N
2. Rest of the payment methods (see attached image 2.png)
   Count Payment in Cash Up = Y
   Automate Movement to Other Account = Y
   Allow Not to Move = Y
   Rest of the fields = N

Web POS:
https://livebuilds.openbravo.com/retail_pi_pgsql/web/org.openbravo.retail.posterminal/?terminal=VBS-1 [^]

1. Open a Touchpoint, which belongs to the previous Touchpoint Type.
2. Finish and pay a receipt (more than 20$) with cash.
3. Cash-up
4. Step 1 of 2: Count Cash -> Continue
5. Step 2 of 2: Post, print and close -> Verify that "Total to Keep" = 20.00
6. Cancel the cash up.

Backend:
1. Change the configuration of the payment method = Cash in the Touchpoint Type (see attached image 3.png):
   Count Payment in Cash Up = Y
   Automate Movement to Other Account = N
   Rest of the fields = N

Web POS:
1. Refresh the previous Touchpoint
2. Cash-up
3. Step 1 of 2: Count Cash -> Continue
4. Step 2 of 2: Post, print and close -> Verify that "Total to Keep" is still 20.00.
TagsNo tags attached.
Attached Filespng file icon 1.png [^] (162,954 bytes) 2020-06-17 14:17


png file icon 2.png [^] (148,381 bytes) 2020-06-17 14:17


png file icon 3.png [^] (155,012 bytes) 2020-06-17 14:17

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044410 closedranjith_qualiantech_com Incorrect cash-up values: "Total to Keep" and "Total to Deposit". 

-  Notes
(0121339)
ranjith_qualiantech_com (developer)
2020-07-09 07:12

Fixed in issue https://issues.openbravo.com/view.php?id=44410 [^]
Commit: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/b4abf5e8e48327cdda49cfa5219c6dbdada3c45c [^]

- Issue History
Date Modified Username Field Change
2020-06-17 14:17 Leyre New Issue
2020-06-17 14:17 Leyre Assigned To => Retail
2020-06-17 14:17 Leyre Triggers an Emergency Pack => No
2020-06-17 14:17 Leyre File Added: 1.png
2020-06-17 14:17 Leyre File Added: 2.png
2020-06-17 14:17 Leyre File Added: 3.png
2020-06-18 12:09 Leyre Steps to Reproduce Updated View Revisions
2020-06-18 12:11 Leyre Steps to Reproduce Updated View Revisions
2020-06-26 08:43 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-07-02 13:34 ranjith_qualiantech_com Status new => scheduled
2020-07-09 07:12 ranjith_qualiantech_com Note Added: 0121339
2020-07-09 07:12 ranjith_qualiantech_com Status scheduled => resolved
2020-07-09 07:12 ranjith_qualiantech_com Resolution open => fixed
2020-07-09 08:48 marvintm Review Assigned To => marvintm
2020-07-09 08:48 marvintm Status resolved => closed
2020-07-09 08:48 marvintm Fixed in Version => RR20Q4
2020-07-09 10:12 Leyre Relationship added related to 0044410


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker